{{ $root := get . "root" }}
  label            = each.value
  image            = "{{ $root.ObjectExpand (dig "linode/instance-image" ($root.Param "linode/instance-image") .) }}"
  region           = "{{ $root.ObjectExpand (dig "linode/region" ($root.Param "linode/region") .) -}}"
  type             = "{{ $root.ObjectExpand (dig "linode/instance-type" ($root.Param "linode/instance-type") .) }}"
  tags             = [ {{ range $i, $p := $root.Machine.Profiles }}"{{lower $p}}",{{ end }}"digitalrebar" ]
  {{ if $root.ParamExists "linode/root-password" }}
  root_pass        = "{{ $root.ObjectExpand (dig "linode/root-password" ($root.Param "linode/root-password") .) }}"
  {{ end }}
  private_ip       = true
  # note: you can use public "stackscript_id = 863588" instead of generating the block each time
  # this requires includinh "cloud-util-linode-stackscript.tf.tmpl" in the "terraform/plan-templates"
  stackscript_id   = linode_stackscript.digitalrebar_join.id
  stackscript_data = {
    "provision_url" = "{{ $root.SecureProvisionerHostURL }}"
  }
  {{ if $root.ParamExists "rsa/key-public" }}
  authorized_keys  = ["{{ $root.Param "rsa/key-public" }}"]
  {{ end }}
